MacWrtParserInternal::FileHeader Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
MacWrtParserInternal::FileHeader Struct Reference

Document header. More...

## Public Member Functions
| FileHeader ()

## Public Attributes
int | m_numParagraphs [3]
| the number of lines : text, header footer More...
bool | m_hideFirstPageHeaderFooter
| true if the first page header/footer must be draw More...
int | m_startNumberPage
| the first number page More...
long | m_freeListPos
| free list start position More...
long | m_freeListLength
| free list length More...
long | m_freeListAllocated
| free list allocated More...
long | m_dataPos
| the begin of data ( if version == 3) More...

## Friends
std::ostream & | operator<< (std::ostream &o, FileHeader const &header)

## Detailed Description

Document header.

## Constructor & Destructor Documentation

MacWrtParserInternal::FileHeader::FileHeader | ( |  | ) |
| inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FileHeader const & | header
| ) |  |
| friend

Referenced by FileHeader(), MacWrtParserInternal::Information::Information(), and MacWrtParserInternal::WindowsInfo::isEmpty().

## Member Data Documentation

long MacWrtParserInternal::FileHeader::m_dataPos

the begin of data ( if version == 3)

Referenced by MacWrtParser::checkHeader(), MacWrtParser::createZonesV3(), and MacWrtParserInternal::operator<<().

long MacWrtParserInternal::FileHeader::m_freeListAllocated

free list allocated

Referenced by MacWrtParser::checkHeader(), and MacWrtParserInternal::operator<<().

long MacWrtParserInternal::FileHeader::m_freeListLength

free list length

Referenced by MacWrtParser::checkHeader(), and MacWrtParserInternal::operator<<().

long MacWrtParserInternal::FileHeader::m_freeListPos

free list start position

Referenced by MacWrtParser::checkHeader(), and MacWrtParserInternal::operator<<().

bool MacWrtParserInternal::FileHeader::m_hideFirstPageHeaderFooter

true if the first page header/footer must be draw

Referenced by MacWrtParser::checkHeader(), and MacWrtParserInternal::operator<<().

int MacWrtParserInternal::FileHeader::m_numParagraphs[3]

the number of lines : text, header footer

Referenced by MacWrtParser::checkHeader(), MacWrtParser::createZonesV3(), FileHeader(), and MacWrtParserInternal::operator<<().

int MacWrtParserInternal::FileHeader::m_startNumberPage

the first number page

Referenced by MacWrtParser::checkHeader(), and MacWrtParserInternal::operator<<().

The documentation for this struct was generated from the following file:

- MacWrtParser.cxx